How to update Applinks manually?

We are currently running Confluence 3.5.13 and won't be able to update for a while.

We also have a JIRA instance and want to use the Application Link feature. Unfortunately we are running into this bug: https://ecosystem.atlassian.net/browse/APL-663

The AppLinks version bundled with our Confluence is 3.3 and if I understand the version matrix AppLinks 3.4 should also be compatible with Confluence 3.5.13. Is that correct?

If that is the case how can I update the AppLinks Plugin in my current installation?

Thanks a lot!

Karola Schaeuble

1 answer

Hello Karola,

I have not tested this, but it does not mean that you can't try! You could pickup the AppLinks Plugin and install it to your Confluence.

You can pickup the file inside <confluence-install>/confluence/WEB-INF/classes/com/atlassian/confluence/setup, Bundled plugins are included in a zip of jars called atlassian-bundled-plugins.zip

So you can pickup the new plugin and upload it though Confluence UI at Plugins > Upload Plugin.

There is no guarantees, there might be dependencies for the plugin to run, but its worth a try.

Cheers,

Guilherme

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Oct 24, 2018 in Confluence

Atlassian Research opportunity with Confluence templates

Do you use templates with Confluence? Take part in a remote 1-hr workshop. You'll receive USD $100 for your time!   We're looking for people to participate in a   remote 1-hr workshop...

1,521 views 25 14
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you